Module com.microsoft.sqlserver.jdbc
Package com.microsoft.sqlserver.jdbc

# Class SQLServerDatabaseMetaData

java.lang.Object
com.microsoft.sqlserver.jdbc.SQLServerDatabaseMetaData

All Implemented Interfaces:
  `Serializable`, `DatabaseMetaData`, `Wrapper`

public final class SQLServerDatabaseMetaData extends Object implements DatabaseMetaData, Serializable
Provides the JDBC database meta data. The API javadoc for JDBC API methods that this class implements are not repeated here. Please see Sun's JDBC API interfaces javadoc for those details.

See Also:
  Serialized Form

## Field Summary

### Fields inherited from interface java.sql.DatabaseMetaData

`attributeNoNulls, attributeNullable, attributeNullableUnknown, bestRowNotPseudo, bestRowPseudo, bestRowSession, bestRowTemporary, bestRowTransaction, bestRowUnknown, columnNoNulls, columnNullable, columnNullableUnknown, functionColumnIn, functionColumnInOut, functionColumnOut, functionColumnResult, functionColumnUnknown, functionNoNulls, functionNoTable, functionNullable, functionNullableUnknown, functionResultUnknown, functionReturn, functionReturnsTable, importedKeyCascade, importedKeyInitiallyDeferred, importedKeyInitiallyImmediate, importedKeyNoAction, importedKeyNotDeferrable, importedKeyRestrict, importedKeySetDefault, importedKeySetNull, procedureColumnIn, procedureColumnInOut, procedureColumnOut, procedureColumnResult, procedureColumnReturn, procedureColumnUnknown, procedureNoNulls, procedureNoResult, procedureNullable, procedureNullableUnknown, procedureResultUnknown, procedureReturnsResult, sqlStateSQL, sqlStateSQL99, sqlStateXOpen, tableIndexClustered, tableIndexHashed, tableIndexOther, tableIndexStatistic, typeNoNulls, typeNullable, typeNullableUnknown, typePredBasic, typePredChar, typePredNone, typeSearchable, versionColumnNotPseudo, versionColumnPseudo, versionColumnUnknown`

## Constructor Summary

Constructors
Constructor
Description
`SQLServerDatabaseMetaData​(SQLServerConnection con)`
Constructs a SQLServerDatabaseMetaData database meta data

## Method Summary

Modifier and Type
Method
Description
`boolean`
`allProceduresAreCallable()`
`boolean`
`allTablesAreSelectable()`
`boolean`
`autoCommitFailureClosesAllResultSets()`
`boolean`
`dataDefinitionCausesTransactionCommit()`
`boolean`
`dataDefinitionIgnoredInTransactions()`
`boolean`
`deletesAreDetected​(int type)`
`boolean`
`doesMaxRowSizeIncludeBlobs()`
`boolean`
`generatedKeyAlwaysReturned()`
`ResultSet`
`getAttributes​(String catalog, String schemaPattern, String typeNamePattern, String attributeNamePattern)`
`ResultSet`
`getBestRowIdentifier​(String catalog, String schema, String table, int scope, boolean nullable)`
`ResultSet`
`getCatalogs()`
`String`
`getCatalogSeparator()`
`String`
`getCatalogTerm()`
`ResultSet`
`getClientInfoProperties()`
`ResultSet`
`getColumnPrivileges​(String catalog, String schema, String table, String col)`
`ResultSet`
`getColumns​(String catalog, String schema, String table, String col)`
`Connection`
`getConnection()`
`ResultSet`
`getCrossReference​(String cat1, String schem1, String tab1, String cat2, String schem2, String tab2)`
`int`
`getDatabaseCompatibilityLevel()`
Returns the database compatibility level setting for the current database.
`int`
`getDatabaseMajorVersion()`
`int`
`getDatabaseMinorVersion()`
`String`
`getDatabaseProductName()`
`String`
`getDatabaseProductVersion()`
`int`
`getDefaultTransactionIsolation()`
`int`
`getDriverMajorVersion()`
`int`
`getDriverMinorVersion()`
`String`
`getDriverName()`
`String`
`getDriverVersion()`
`ResultSet`
`getExportedKeys​(String cat, String schema, String table)`
`String`
`getExtraNameCharacters()`
`ResultSet`
`getFunctionColumns​(String catalog, String schemaPattern, String functionNamePattern, String columnNamePattern)`
`ResultSet`
`getFunctions​(String catalog, String schemaPattern, String functionNamePattern)`
`String`
`getIdentifierQuoteString()`
`ResultSet`
`getImportedKeys​(String cat, String schema, String table)`
`ResultSet`
`getIndexInfo​(String cat, String schema, String table, boolean unique, boolean approximate)`
`int`
`getJDBCMajorVersion()`
`int`
`getJDBCMinorVersion()`
`int`
`getMaxBinaryLiteralLength()`
`int`
`getMaxCatalogNameLength()`
`int`
`getMaxCharLiteralLength()`
`int`
`getMaxColumnNameLength()`
`int`
`getMaxColumnsInGroupBy()`
`int`
`getMaxColumnsInIndex()`
`int`
`getMaxColumnsInOrderBy()`
`int`
`getMaxColumnsInSelect()`
`int`
`getMaxColumnsInTable()`
`int`
`getMaxConnections()`
`int`
`getMaxCursorNameLength()`
`int`
`getMaxIndexLength()`
`long`
`getMaxLogicalLobSize()`
`int`
`getMaxProcedureNameLength()`
`int`
`getMaxRowSize()`
`int`
`getMaxSchemaNameLength()`
`int`
`getMaxStatementLength()`
`int`
`getMaxStatements()`
`int`
`getMaxTableNameLength()`
`int`
`getMaxTablesInSelect()`
`int`
`getMaxUserNameLength()`
`String`
`getNumericFunctions()`
`ResultSet`
`getPrimaryKeys​(String cat, String schema, String table)`
`ResultSet`
`getProcedureColumns​(String catalog, String schema, String proc, String col)`
`ResultSet`
`getProcedures​(String catalog, String schema, String proc)`
`String`
`getProcedureTerm()`
`ResultSet`
`getPseudoColumns​(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)`
`int`
`getResultSetHoldability()`
`RowIdLifetime`
`getRowIdLifetime()`
`ResultSet`
`getSchemas()`
`ResultSet`
`getSchemas​(String catalog, String schemaPattern)`
`String`
`getSchemaTerm()`
`String`
`getSearchStringEscape()`
`String`
`getSQLKeywords()`
`int`
`getSQLStateType()`
`String`
`getStringFunctions()`
`ResultSet`
`getSuperTables​(String catalog, String schemaPattern, String tableNamePattern)`
`ResultSet`
`getSuperTypes​(String catalog, String schemaPattern, String typeNamePattern)`
`String`
`getSystemFunctions()`
`ResultSet`
`getTablePrivileges​(String catalog, String schema, String table)`
`ResultSet`
`getTables​(String catalog, String schema, String table, String[] types)`
`ResultSet`
`getTableTypes()`
`String`
`getTimeDateFunctions()`
`ResultSet`
`getTypeInfo()`
`ResultSet`
`getUDTs​(String catalog, String schemaPattern, String typeNamePattern, int[] types)`
`String`
`getURL()`
`String`
`getUserName()`
`ResultSet`
`getVersionColumns​(String catalog, String schema, String table)`
`boolean`
`insertsAreDetected​(int type)`
`boolean`
`isCatalogAtStart()`
`boolean`
`isReadOnly()`
`boolean`
`isWrapperFor​(Class<?> iface)`
`boolean`
`locatorsUpdateCopy()`
`boolean`
`nullPlusNonNullIsNull()`
`boolean`
`nullsAreSortedAtEnd()`
`boolean`
`nullsAreSortedAtStart()`
`boolean`
`nullsAreSortedHigh()`
`boolean`
`nullsAreSortedLow()`
`boolean`
`othersDeletesAreVisible​(int type)`
`boolean`
`othersInsertsAreVisible​(int type)`
`boolean`
`othersUpdatesAreVisible​(int type)`
`boolean`
`ownDeletesAreVisible​(int type)`
`boolean`
`ownInsertsAreVisible​(int type)`
`boolean`
`ownUpdatesAreVisible​(int type)`
`boolean`
`storesLowerCaseIdentifiers()`
`boolean`
`storesLowerCaseQuotedIdentifiers()`
`boolean`
`storesMixedCaseIdentifiers()`
`boolean`
`storesMixedCaseQuotedIdentifiers()`
`boolean`
`storesUpperCaseIdentifiers()`
`boolean`
`storesUpperCaseQuotedIdentifiers()`
`boolean`
`supportsAlterTableWithAddColumn()`
`boolean`
`supportsAlterTableWithDropColumn()`
`boolean`
`supportsANSI92EntryLevelSQL()`
`boolean`
`supportsANSI92FullSQL()`
`boolean`
`supportsANSI92IntermediateSQL()`
`boolean`
`supportsBatchUpdates()`
`boolean`
`supportsCatalogsInDataManipulation()`
`boolean`
`supportsCatalogsInIndexDefinitions()`
`boolean`
`supportsCatalogsInPrivilegeDefinitions()`
`boolean`
`supportsCatalogsInProcedureCalls()`
`boolean`
`supportsCatalogsInTableDefinitions()`
`boolean`
`supportsColumnAliasing()`
`boolean`
`supportsConvert()`
`boolean`
`supportsConvert​(int fromType, int toType)`
`boolean`
`supportsCoreSQLGrammar()`
`boolean`
`supportsCorrelatedSubqueries()`
`boolean`
`supportsDataDefinitionAndDataManipulationTransactions()`
`boolean`
`supportsDataManipulationTransactionsOnly()`
`boolean`
`supportsDifferentTableCorrelationNames()`
`boolean`
`supportsExpressionsInOrderBy()`
`boolean`
`supportsExtendedSQLGrammar()`
`boolean`
`supportsFullOuterJoins()`
`boolean`
`supportsGetGeneratedKeys()`
`boolean`
`supportsGroupBy()`
`boolean`
`supportsGroupByBeyondSelect()`
`boolean`
`supportsGroupByUnrelated()`
`boolean`
`supportsIntegrityEnhancementFacility()`
`boolean`
`supportsLikeEscapeClause()`
`boolean`
`supportsLimitedOuterJoins()`
`boolean`
`supportsMinimumSQLGrammar()`
`boolean`
`supportsMixedCaseIdentifiers()`
`boolean`
`supportsMixedCaseQuotedIdentifiers()`
`boolean`
`supportsMultipleOpenResults()`
`boolean`
`supportsMultipleResultSets()`
`boolean`
`supportsMultipleTransactions()`
`boolean`
`supportsNamedParameters()`
`boolean`
`supportsNonNullableColumns()`
`boolean`
`supportsOpenCursorsAcrossCommit()`
`boolean`
`supportsOpenCursorsAcrossRollback()`
`boolean`
`supportsOpenStatementsAcrossCommit()`
`boolean`
`supportsOpenStatementsAcrossRollback()`
`boolean`
`supportsOrderByUnrelated()`
`boolean`
`supportsOuterJoins()`
`boolean`
`supportsPositionedDelete()`
`boolean`
`supportsPositionedUpdate()`
`boolean`
`supportsRefCursors()`
`boolean`
`supportsResultSetConcurrency​(int type, int concurrency)`
`boolean`
`supportsResultSetHoldability​(int holdability)`
`boolean`
`supportsResultSetType​(int type)`
`boolean`
`supportsSavepoints()`
`boolean`
`supportsSchemasInDataManipulation()`
`boolean`
`supportsSchemasInIndexDefinitions()`
`boolean`
`supportsSchemasInPrivilegeDefinitions()`
`boolean`
`supportsSchemasInProcedureCalls()`
`boolean`
`supportsSchemasInTableDefinitions()`
`boolean`
`supportsSelectForUpdate()`
`boolean`
`supportsSharding()`
`boolean`
`supportsStatementPooling()`
`boolean`
`supportsStoredFunctionsUsingCallSyntax()`
`boolean`
`supportsStoredProcedures()`
`boolean`
`supportsSubqueriesInComparisons()`
`boolean`
`supportsSubqueriesInExists()`
`boolean`
`supportsSubqueriesInIns()`
`boolean`
`supportsSubqueriesInQuantifieds()`
`boolean`
`supportsTableCorrelationNames()`
`boolean`
`supportsTransactionIsolationLevel​(int level)`
`boolean`
`supportsTransactions()`
`boolean`
`supportsUnion()`
`boolean`
`supportsUnionAll()`
`String`
`toString()`
Provides a helper function to provide an ID string suitable for tracing.
`<T> T`
`unwrap​(Class<T> iface)`
`boolean`
`updatesAreDetected​(int type)`
`boolean`
`usesLocalFilePerTable()`
`boolean`
`usesLocalFiles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SQLServerDatabaseMetaData

public SQLServerDatabaseMetaData​(SQLServerConnection con)
Constructs a SQLServerDatabaseMetaData database meta data

Parameters:
  `con` - the connection

## Method Details

### toString

public final String toString()
Provides a helper function to provide an ID string suitable for tracing.

Overrides:
  `toString` in class `Object`
Returns:
  traceID string

### isWrapperFor

public boolean isWrapperFor​(Class<?> iface) throws SQLException

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`

### unwrap

public <T> T unwrap​(Class<T> iface) throws SQLException

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

### allProceduresAreCallable

public boolean allProceduresAreCallable() throws SQLServerException

Specified by:
  `allProceduresAreCallable` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### allTablesAreSelectable

public boolean allTablesAreSelectable() throws SQLServerException

Specified by:
  `allTablesAreSelectable` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### autoCommitFailureClosesAllResultSets

public boolean autoCommitFailureClosesAllResultSets() throws SQLException

Specified by:
  `autoCommitFailureClosesAllResultSets` in interface `DatabaseMetaData`
Throws:
  `SQLException`

### dataDefinitionCausesTransactionCommit

public boolean dataDefinitionCausesTransactionCommit() throws SQLServerException

Specified by:
  `dataDefinitionCausesTransactionCommit` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### dataDefinitionIgnoredInTransactions

public boolean dataDefinitionIgnoredInTransactions() throws SQLServerException

Specified by:
  `dataDefinitionIgnoredInTransactions` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### doesMaxRowSizeIncludeBlobs

public boolean doesMaxRowSizeIncludeBlobs() throws SQLServerException

Specified by:
  `doesMaxRowSizeIncludeBlobs` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### generatedKeyAlwaysReturned

public boolean generatedKeyAlwaysReturned() throws SQLException

Specified by:
  `generatedKeyAlwaysReturned` in interface `DatabaseMetaData`
Throws:
  `SQLException`

### getMaxLogicalLobSize

public long getMaxLogicalLobSize() throws SQLException

Specified by:
  `getMaxLogicalLobSize` in interface `DatabaseMetaData`
Throws:
  `SQLException`

### supportsRefCursors

public boolean supportsRefCursors() throws SQLException

Specified by:
  `supportsRefCursors` in interface `DatabaseMetaData`
Throws:
  `SQLException`

### supportsSharding

public boolean supportsSharding() throws SQLException

Specified by:
  `supportsSharding` in interface `DatabaseMetaData`
Throws:
  `SQLException`

### getCatalogs

public ResultSet getCatalogs() throws SQLException, SQLTimeoutException

Specified by:
  `getCatalogs` in interface `DatabaseMetaData`
Throws:
  `SQLException`
  `SQLTimeoutException`

### getCatalogSeparator

public String getCatalogSeparator() throws SQLServerException

Specified by:
  `getCatalogSeparator` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getCatalogTerm

public String getCatalogTerm() throws SQLServerException

Specified by:
  `getCatalogTerm` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getColumnPrivileges

public ResultSet getColumnPrivileges​(String catalog, String schema, String table, String col) throws SQLServerException, SQLTimeoutException

Specified by:
  `getColumnPrivileges` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`
  `SQLTimeoutException`

### getTables

public ResultSet getTables​(String catalog, String schema, String table, String[] types) throws SQLServerException, SQLTimeoutException

Specified by:
  `getTables` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`
  `SQLTimeoutException`

### getColumns

public ResultSet getColumns​(String catalog, String schema, String table, String col) throws SQLException

Specified by:
  `getColumns` in interface `DatabaseMetaData`
Throws:
  `SQLException`

### getFunctions

public ResultSet getFunctions​(String catalog, String schemaPattern, String functionNamePattern) throws SQLException

Specified by:
  `getFunctions` in interface `DatabaseMetaData`
Throws:
  `SQLException`

### getFunctionColumns

public ResultSet getFunctionColumns​(String catalog, String schemaPattern, String functionNamePattern, String columnNamePattern) throws SQLException

Specified by:
  `getFunctionColumns` in interface `DatabaseMetaData`
Throws:
  `SQLException`

### getClientInfoProperties

public ResultSet getClientInfoProperties() throws SQLException

Specified by:
  `getClientInfoProperties` in interface `DatabaseMetaData`
Throws:
  `SQLException`

### getBestRowIdentifier

public ResultSet getBestRowIdentifier​(String catalog, String schema, String table, int scope, boolean nullable) throws SQLServerException, SQLTimeoutException

Specified by:
  `getBestRowIdentifier` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`
  `SQLTimeoutException`

### getCrossReference

public ResultSet getCrossReference​(String cat1, String schem1, String tab1, String cat2, String schem2, String tab2) throws SQLException, SQLTimeoutException

Specified by:
  `getCrossReference` in interface `DatabaseMetaData`
Throws:
  `SQLException`
  `SQLTimeoutException`

### getDatabaseProductName

public String getDatabaseProductName() throws SQLServerException

Specified by:
  `getDatabaseProductName` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getDatabaseProductVersion

public String getDatabaseProductVersion() throws SQLServerException

Specified by:
  `getDatabaseProductVersion` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getDefaultTransactionIsolation

public int getDefaultTransactionIsolation() throws SQLServerException

Specified by:
  `getDefaultTransactionIsolation` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getDriverMajorVersion

public int getDriverMajorVersion()

Specified by:
  `getDriverMajorVersion` in interface `DatabaseMetaData`

### getDriverMinorVersion

public int getDriverMinorVersion()

Specified by:
  `getDriverMinorVersion` in interface `DatabaseMetaData`

### getDriverName

public String getDriverName() throws SQLServerException

Specified by:
  `getDriverName` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getDriverVersion

public String getDriverVersion() throws SQLServerException

Specified by:
  `getDriverVersion` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getExportedKeys

public ResultSet getExportedKeys​(String cat, String schema, String table) throws SQLException, SQLTimeoutException

Specified by:
  `getExportedKeys` in interface `DatabaseMetaData`
Throws:
  `SQLException`
  `SQLTimeoutException`

### getExtraNameCharacters

public String getExtraNameCharacters() throws SQLServerException

Specified by:
  `getExtraNameCharacters` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getIdentifierQuoteString

public String getIdentifierQuoteString() throws SQLServerException

Specified by:
  `getIdentifierQuoteString` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getImportedKeys

public ResultSet getImportedKeys​(String cat, String schema, String table) throws SQLException, SQLTimeoutException

Specified by:
  `getImportedKeys` in interface `DatabaseMetaData`
Throws:
  `SQLException`
  `SQLTimeoutException`

### getIndexInfo

public ResultSet getIndexInfo​(String cat, String schema, String table, boolean unique, boolean approximate) throws SQLServerException, SQLTimeoutException

Specified by:
  `getIndexInfo` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`
  `SQLTimeoutException`

### getMaxBinaryLiteralLength

public int getMaxBinaryLiteralLength() throws SQLServerException

Specified by:
  `getMaxBinaryLiteralLength` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxCatalogNameLength

public int getMaxCatalogNameLength() throws SQLServerException

Specified by:
  `getMaxCatalogNameLength` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxCharLiteralLength

public int getMaxCharLiteralLength() throws SQLServerException

Specified by:
  `getMaxCharLiteralLength` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxColumnNameLength

public int getMaxColumnNameLength() throws SQLServerException

Specified by:
  `getMaxColumnNameLength` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxColumnsInGroupBy

public int getMaxColumnsInGroupBy() throws SQLServerException

Specified by:
  `getMaxColumnsInGroupBy` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxColumnsInIndex

public int getMaxColumnsInIndex() throws SQLServerException

Specified by:
  `getMaxColumnsInIndex` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxColumnsInOrderBy

public int getMaxColumnsInOrderBy() throws SQLServerException

Specified by:
  `getMaxColumnsInOrderBy` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxColumnsInSelect

public int getMaxColumnsInSelect() throws SQLServerException

Specified by:
  `getMaxColumnsInSelect` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxColumnsInTable

public int getMaxColumnsInTable() throws SQLServerException

Specified by:
  `getMaxColumnsInTable` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxConnections

public int getMaxConnections() throws SQLException, SQLTimeoutException

Specified by:
  `getMaxConnections` in interface `DatabaseMetaData`
Throws:
  `SQLException`
  `SQLTimeoutException`

### getMaxCursorNameLength

public int getMaxCursorNameLength() throws SQLServerException

Specified by:
  `getMaxCursorNameLength` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxIndexLength

public int getMaxIndexLength() throws SQLServerException

Specified by:
  `getMaxIndexLength` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxProcedureNameLength

public int getMaxProcedureNameLength() throws SQLServerException

Specified by:
  `getMaxProcedureNameLength` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxRowSize

public int getMaxRowSize() throws SQLServerException

Specified by:
  `getMaxRowSize` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxSchemaNameLength

public int getMaxSchemaNameLength() throws SQLServerException

Specified by:
  `getMaxSchemaNameLength` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxStatementLength

public int getMaxStatementLength() throws SQLServerException

Specified by:
  `getMaxStatementLength` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxStatements

public int getMaxStatements() throws SQLServerException

Specified by:
  `getMaxStatements` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxTableNameLength

public int getMaxTableNameLength() throws SQLServerException

Specified by:
  `getMaxTableNameLength` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxTablesInSelect

public int getMaxTablesInSelect() throws SQLServerException

Specified by:
  `getMaxTablesInSelect` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getMaxUserNameLength

public int getMaxUserNameLength() throws SQLServerException

Specified by:
  `getMaxUserNameLength` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getNumericFunctions

public String getNumericFunctions() throws SQLServerException

Specified by:
  `getNumericFunctions` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getPrimaryKeys

public ResultSet getPrimaryKeys​(String cat, String schema, String table) throws SQLServerException, SQLTimeoutException

Specified by:
  `getPrimaryKeys` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`
  `SQLTimeoutException`

### getProcedureColumns

public ResultSet getProcedureColumns​(String catalog, String schema, String proc, String col) throws SQLServerException, SQLTimeoutException

Specified by:
  `getProcedureColumns` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`
  `SQLTimeoutException`

### getProcedures

public ResultSet getProcedures​(String catalog, String schema, String proc) throws SQLServerException, SQLTimeoutException

Specified by:
  `getProcedures` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`
  `SQLTimeoutException`

### getProcedureTerm

public String getProcedureTerm() throws SQLServerException

Specified by:
  `getProcedureTerm` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getPseudoColumns

public ResultSet getPseudoColumns​(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern) throws SQLException

Specified by:
  `getPseudoColumns` in interface `DatabaseMetaData`
Throws:
  `SQLException`

### getSchemas

public ResultSet getSchemas() throws SQLException, SQLTimeoutException

Specified by:
  `getSchemas` in interface `DatabaseMetaData`
Throws:
  `SQLException`
  `SQLTimeoutException`

### getSchemas

public ResultSet getSchemas​(String catalog, String schemaPattern) throws SQLException

Specified by:
  `getSchemas` in interface `DatabaseMetaData`
Throws:
  `SQLException`

### getSchemaTerm

public String getSchemaTerm() throws SQLServerException

Specified by:
  `getSchemaTerm` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getSearchStringEscape

public String getSearchStringEscape() throws SQLServerException

Specified by:
  `getSearchStringEscape` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getSQLKeywords

public String getSQLKeywords() throws SQLServerException

Specified by:
  `getSQLKeywords` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getStringFunctions

public String getStringFunctions() throws SQLServerException

Specified by:
  `getStringFunctions` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getSystemFunctions

public String getSystemFunctions() throws SQLServerException

Specified by:
  `getSystemFunctions` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getTablePrivileges

public ResultSet getTablePrivileges​(String catalog, String schema, String table) throws SQLServerException, SQLTimeoutException

Specified by:
  `getTablePrivileges` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`
  `SQLTimeoutException`

### getTableTypes

public ResultSet getTableTypes() throws SQLException, SQLTimeoutException

Specified by:
  `getTableTypes` in interface `DatabaseMetaData`
Throws:
  `SQLException`
  `SQLTimeoutException`

### getTimeDateFunctions

public String getTimeDateFunctions() throws SQLServerException

Specified by:
  `getTimeDateFunctions` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getTypeInfo

public ResultSet getTypeInfo() throws SQLException, SQLTimeoutException

Specified by:
  `getTypeInfo` in interface `DatabaseMetaData`
Throws:
  `SQLException`
  `SQLTimeoutException`

### getURL

public String getURL() throws SQLServerException

Specified by:
  `getURL` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getUserName

public String getUserName() throws SQLServerException, SQLTimeoutException

Specified by:
  `getUserName` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`
  `SQLTimeoutException`

### getVersionColumns

public ResultSet getVersionColumns​(String catalog, String schema, String table) throws SQLServerException, SQLTimeoutException

Specified by:
  `getVersionColumns` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`
  `SQLTimeoutException`

### isCatalogAtStart

public boolean isCatalogAtStart() throws SQLServerException

Specified by:
  `isCatalogAtStart` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### isReadOnly

public boolean isReadOnly() throws SQLServerException

Specified by:
  `isReadOnly` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### nullPlusNonNullIsNull

public boolean nullPlusNonNullIsNull() throws SQLServerException

Specified by:
  `nullPlusNonNullIsNull` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### nullsAreSortedAtEnd

public boolean nullsAreSortedAtEnd() throws SQLServerException

Specified by:
  `nullsAreSortedAtEnd` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### nullsAreSortedAtStart

public boolean nullsAreSortedAtStart() throws SQLServerException

Specified by:
  `nullsAreSortedAtStart` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### nullsAreSortedHigh

public boolean nullsAreSortedHigh() throws SQLServerException

Specified by:
  `nullsAreSortedHigh` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### nullsAreSortedLow

public boolean nullsAreSortedLow() throws SQLServerException

Specified by:
  `nullsAreSortedLow` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### storesLowerCaseIdentifiers

public boolean storesLowerCaseIdentifiers() throws SQLServerException

Specified by:
  `storesLowerCaseIdentifiers` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### storesLowerCaseQuotedIdentifiers

public boolean storesLowerCaseQuotedIdentifiers() throws SQLServerException

Specified by:
  `storesLowerCaseQuotedIdentifiers` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### storesMixedCaseIdentifiers

public boolean storesMixedCaseIdentifiers() throws SQLServerException

Specified by:
  `storesMixedCaseIdentifiers` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### storesMixedCaseQuotedIdentifiers

public boolean storesMixedCaseQuotedIdentifiers() throws SQLServerException

Specified by:
  `storesMixedCaseQuotedIdentifiers` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### storesUpperCaseIdentifiers

public boolean storesUpperCaseIdentifiers() throws SQLServerException

Specified by:
  `storesUpperCaseIdentifiers` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### storesUpperCaseQuotedIdentifiers

public boolean storesUpperCaseQuotedIdentifiers() throws SQLServerException

Specified by:
  `storesUpperCaseQuotedIdentifiers` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsAlterTableWithAddColumn

public boolean supportsAlterTableWithAddColumn() throws SQLServerException

Specified by:
  `supportsAlterTableWithAddColumn` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsAlterTableWithDropColumn

public boolean supportsAlterTableWithDropColumn() throws SQLServerException

Specified by:
  `supportsAlterTableWithDropColumn` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsANSI92EntryLevelSQL

public boolean supportsANSI92EntryLevelSQL() throws SQLServerException

Specified by:
  `supportsANSI92EntryLevelSQL` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsANSI92FullSQL

public boolean supportsANSI92FullSQL() throws SQLServerException

Specified by:
  `supportsANSI92FullSQL` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsANSI92IntermediateSQL

public boolean supportsANSI92IntermediateSQL() throws SQLServerException

Specified by:
  `supportsANSI92IntermediateSQL` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsCatalogsInDataManipulation

public boolean supportsCatalogsInDataManipulation() throws SQLServerException

Specified by:
  `supportsCatalogsInDataManipulation` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsCatalogsInIndexDefinitions

public boolean supportsCatalogsInIndexDefinitions() throws SQLServerException

Specified by:
  `supportsCatalogsInIndexDefinitions` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsCatalogsInPrivilegeDefinitions

public boolean supportsCatalogsInPrivilegeDefinitions() throws SQLServerException

Specified by:
  `supportsCatalogsInPrivilegeDefinitions` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsCatalogsInProcedureCalls

public boolean supportsCatalogsInProcedureCalls() throws SQLServerException

Specified by:
  `supportsCatalogsInProcedureCalls` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsCatalogsInTableDefinitions

public boolean supportsCatalogsInTableDefinitions() throws SQLServerException

Specified by:
  `supportsCatalogsInTableDefinitions` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsColumnAliasing

public boolean supportsColumnAliasing() throws SQLServerException

Specified by:
  `supportsColumnAliasing` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsConvert

public boolean supportsConvert() throws SQLServerException

Specified by:
  `supportsConvert` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsConvert

public boolean supportsConvert​(int fromType, int toType) throws SQLServerException

Specified by:
  `supportsConvert` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsCoreSQLGrammar

public boolean supportsCoreSQLGrammar() throws SQLServerException

Specified by:
  `supportsCoreSQLGrammar` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsCorrelatedSubqueries

public boolean supportsCorrelatedSubqueries() throws SQLServerException

Specified by:
  `supportsCorrelatedSubqueries` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsDataDefinitionAndDataManipulationTransactions

public boolean supportsDataDefinitionAndDataManipulationTransactions() throws SQLServerException

Specified by:
  `supportsDataDefinitionAndDataManipulationTransactions` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsDataManipulationTransactionsOnly

public boolean supportsDataManipulationTransactionsOnly() throws SQLServerException

Specified by:
  `supportsDataManipulationTransactionsOnly` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsDifferentTableCorrelationNames

public boolean supportsDifferentTableCorrelationNames() throws SQLServerException

Specified by:
  `supportsDifferentTableCorrelationNames` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsExpressionsInOrderBy

public boolean supportsExpressionsInOrderBy() throws SQLServerException

Specified by:
  `supportsExpressionsInOrderBy` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsExtendedSQLGrammar

public boolean supportsExtendedSQLGrammar() throws SQLServerException

Specified by:
  `supportsExtendedSQLGrammar` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsFullOuterJoins

public boolean supportsFullOuterJoins() throws SQLServerException

Specified by:
  `supportsFullOuterJoins` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsGroupBy

public boolean supportsGroupBy() throws SQLServerException

Specified by:
  `supportsGroupBy` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsGroupByBeyondSelect

public boolean supportsGroupByBeyondSelect() throws SQLServerException

Specified by:
  `supportsGroupByBeyondSelect` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsGroupByUnrelated

public boolean supportsGroupByUnrelated() throws SQLServerException

Specified by:
  `supportsGroupByUnrelated` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsIntegrityEnhancementFacility

public boolean supportsIntegrityEnhancementFacility() throws SQLServerException

Specified by:
  `supportsIntegrityEnhancementFacility` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsLikeEscapeClause

public boolean supportsLikeEscapeClause() throws SQLServerException

Specified by:
  `supportsLikeEscapeClause` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsLimitedOuterJoins

public boolean supportsLimitedOuterJoins() throws SQLServerException

Specified by:
  `supportsLimitedOuterJoins` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsMinimumSQLGrammar

public boolean supportsMinimumSQLGrammar() throws SQLServerException

Specified by:
  `supportsMinimumSQLGrammar` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsMixedCaseIdentifiers

public boolean supportsMixedCaseIdentifiers() throws SQLServerException

Specified by:
  `supportsMixedCaseIdentifiers` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsMixedCaseQuotedIdentifiers

public boolean supportsMixedCaseQuotedIdentifiers() throws SQLServerException

Specified by:
  `supportsMixedCaseQuotedIdentifiers` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsMultipleResultSets

public boolean supportsMultipleResultSets() throws SQLServerException

Specified by:
  `supportsMultipleResultSets` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsMultipleTransactions

public boolean supportsMultipleTransactions() throws SQLServerException

Specified by:
  `supportsMultipleTransactions` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsNonNullableColumns

public boolean supportsNonNullableColumns() throws SQLServerException

Specified by:
  `supportsNonNullableColumns` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsOpenCursorsAcrossCommit

public boolean supportsOpenCursorsAcrossCommit() throws SQLServerException

Specified by:
  `supportsOpenCursorsAcrossCommit` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsOpenCursorsAcrossRollback

public boolean supportsOpenCursorsAcrossRollback() throws SQLServerException

Specified by:
  `supportsOpenCursorsAcrossRollback` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsOpenStatementsAcrossCommit

public boolean supportsOpenStatementsAcrossCommit() throws SQLServerException

Specified by:
  `supportsOpenStatementsAcrossCommit` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsOpenStatementsAcrossRollback

public boolean supportsOpenStatementsAcrossRollback() throws SQLServerException

Specified by:
  `supportsOpenStatementsAcrossRollback` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsOrderByUnrelated

public boolean supportsOrderByUnrelated() throws SQLServerException

Specified by:
  `supportsOrderByUnrelated` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsOuterJoins

public boolean supportsOuterJoins() throws SQLServerException

Specified by:
  `supportsOuterJoins` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsPositionedDelete

public boolean supportsPositionedDelete() throws SQLServerException

Specified by:
  `supportsPositionedDelete` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsPositionedUpdate

public boolean supportsPositionedUpdate() throws SQLServerException

Specified by:
  `supportsPositionedUpdate` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsSchemasInDataManipulation

public boolean supportsSchemasInDataManipulation() throws SQLServerException

Specified by:
  `supportsSchemasInDataManipulation` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsSchemasInIndexDefinitions

public boolean supportsSchemasInIndexDefinitions() throws SQLServerException

Specified by:
  `supportsSchemasInIndexDefinitions` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsSchemasInPrivilegeDefinitions

public boolean supportsSchemasInPrivilegeDefinitions() throws SQLServerException

Specified by:
  `supportsSchemasInPrivilegeDefinitions` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsSchemasInProcedureCalls

public boolean supportsSchemasInProcedureCalls() throws SQLServerException

Specified by:
  `supportsSchemasInProcedureCalls` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsSchemasInTableDefinitions

public boolean supportsSchemasInTableDefinitions() throws SQLServerException

Specified by:
  `supportsSchemasInTableDefinitions` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsSelectForUpdate

public boolean supportsSelectForUpdate() throws SQLServerException

Specified by:
  `supportsSelectForUpdate` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsStoredProcedures

public boolean supportsStoredProcedures() throws SQLServerException

Specified by:
  `supportsStoredProcedures` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsSubqueriesInComparisons

public boolean supportsSubqueriesInComparisons() throws SQLServerException

Specified by:
  `supportsSubqueriesInComparisons` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsSubqueriesInExists

public boolean supportsSubqueriesInExists() throws SQLServerException

Specified by:
  `supportsSubqueriesInExists` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsSubqueriesInIns

public boolean supportsSubqueriesInIns() throws SQLServerException

Specified by:
  `supportsSubqueriesInIns` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsSubqueriesInQuantifieds

public boolean supportsSubqueriesInQuantifieds() throws SQLServerException

Specified by:
  `supportsSubqueriesInQuantifieds` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsTableCorrelationNames

public boolean supportsTableCorrelationNames() throws SQLServerException

Specified by:
  `supportsTableCorrelationNames` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsTransactionIsolationLevel

public boolean supportsTransactionIsolationLevel​(int level) throws SQLServerException

Specified by:
  `supportsTransactionIsolationLevel` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsTransactions

public boolean supportsTransactions() throws SQLServerException

Specified by:
  `supportsTransactions` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsUnion

public boolean supportsUnion() throws SQLServerException

Specified by:
  `supportsUnion` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsUnionAll

public boolean supportsUnionAll() throws SQLServerException

Specified by:
  `supportsUnionAll` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### usesLocalFilePerTable

public boolean usesLocalFilePerTable() throws SQLServerException

Specified by:
  `usesLocalFilePerTable` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### usesLocalFiles

public boolean usesLocalFiles() throws SQLServerException

Specified by:
  `usesLocalFiles` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsResultSetType

public boolean supportsResultSetType​(int type) throws SQLServerException

Specified by:
  `supportsResultSetType` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsResultSetConcurrency

public boolean supportsResultSetConcurrency​(int type, int concurrency) throws SQLServerException

Specified by:
  `supportsResultSetConcurrency` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### ownUpdatesAreVisible

public boolean ownUpdatesAreVisible​(int type) throws SQLServerException

Specified by:
  `ownUpdatesAreVisible` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### ownDeletesAreVisible

public boolean ownDeletesAreVisible​(int type) throws SQLServerException

Specified by:
  `ownDeletesAreVisible` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### ownInsertsAreVisible

public boolean ownInsertsAreVisible​(int type) throws SQLServerException

Specified by:
  `ownInsertsAreVisible` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### othersUpdatesAreVisible

public boolean othersUpdatesAreVisible​(int type) throws SQLServerException

Specified by:
  `othersUpdatesAreVisible` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### othersDeletesAreVisible

public boolean othersDeletesAreVisible​(int type) throws SQLServerException

Specified by:
  `othersDeletesAreVisible` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### othersInsertsAreVisible

public boolean othersInsertsAreVisible​(int type) throws SQLServerException

Specified by:
  `othersInsertsAreVisible` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### updatesAreDetected

public boolean updatesAreDetected​(int type) throws SQLServerException

Specified by:
  `updatesAreDetected` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### deletesAreDetected

public boolean deletesAreDetected​(int type) throws SQLServerException

Specified by:
  `deletesAreDetected` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### insertsAreDetected

public boolean insertsAreDetected​(int type) throws SQLServerException

Specified by:
  `insertsAreDetected` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsBatchUpdates

public boolean supportsBatchUpdates() throws SQLServerException

Specified by:
  `supportsBatchUpdates` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getUDTs

public ResultSet getUDTs​(String catalog, String schemaPattern, String typeNamePattern, int[] types) throws SQLException, SQLTimeoutException

Specified by:
  `getUDTs` in interface `DatabaseMetaData`
Throws:
  `SQLException`
  `SQLTimeoutException`

### getConnection

public Connection getConnection() throws SQLServerException

Specified by:
  `getConnection` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getSQLStateType

public int getSQLStateType() throws SQLServerException

Specified by:
  `getSQLStateType` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getDatabaseMajorVersion

public int getDatabaseMajorVersion() throws SQLServerException

Specified by:
  `getDatabaseMajorVersion` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getDatabaseMinorVersion

public int getDatabaseMinorVersion() throws SQLServerException

Specified by:
  `getDatabaseMinorVersion` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getJDBCMajorVersion

public int getJDBCMajorVersion() throws SQLServerException

Specified by:
  `getJDBCMajorVersion` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getJDBCMinorVersion

public int getJDBCMinorVersion() throws SQLServerException

Specified by:
  `getJDBCMinorVersion` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getResultSetHoldability

public int getResultSetHoldability() throws SQLServerException

Specified by:
  `getResultSetHoldability` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getRowIdLifetime

public RowIdLifetime getRowIdLifetime() throws SQLException

Specified by:
  `getRowIdLifetime` in interface `DatabaseMetaData`
Throws:
  `SQLException`

### supportsResultSetHoldability

public boolean supportsResultSetHoldability​(int holdability) throws SQLServerException

Specified by:
  `supportsResultSetHoldability` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### getAttributes

public ResultSet getAttributes​(String catalog, String schemaPattern, String typeNamePattern, String attributeNamePattern) throws SQLException, SQLTimeoutException

Specified by:
  `getAttributes` in interface `DatabaseMetaData`
Throws:
  `SQLException`
  `SQLTimeoutException`

### getSuperTables

public ResultSet getSuperTables​(String catalog, String schemaPattern, String tableNamePattern) throws SQLException, SQLTimeoutException

Specified by:
  `getSuperTables` in interface `DatabaseMetaData`
Throws:
  `SQLException`
  `SQLTimeoutException`

### getSuperTypes

public ResultSet getSuperTypes​(String catalog, String schemaPattern, String typeNamePattern) throws SQLException, SQLTimeoutException

Specified by:
  `getSuperTypes` in interface `DatabaseMetaData`
Throws:
  `SQLException`
  `SQLTimeoutException`

### supportsGetGeneratedKeys

public boolean supportsGetGeneratedKeys() throws SQLServerException

Specified by:
  `supportsGetGeneratedKeys` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsMultipleOpenResults

public boolean supportsMultipleOpenResults() throws SQLServerException

Specified by:
  `supportsMultipleOpenResults` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsNamedParameters

public boolean supportsNamedParameters() throws SQLServerException

Specified by:
  `supportsNamedParameters` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsSavepoints

public boolean supportsSavepoints() throws SQLServerException

Specified by:
  `supportsSavepoints` in interface `DatabaseMetaData`
Throws:
  `SQLServerException`

### supportsStatementPooling

public boolean supportsStatementPooling() throws SQLException

Specified by:
  `supportsStatementPooling` in interface `DatabaseMetaData`
Throws:
  `SQLException`

### supportsStoredFunctionsUsingCallSyntax

public boolean supportsStoredFunctionsUsingCallSyntax() throws SQLException

Specified by:
  `supportsStoredFunctionsUsingCallSyntax` in interface `DatabaseMetaData`
Throws:
  `SQLException`

### locatorsUpdateCopy

public boolean locatorsUpdateCopy() throws SQLException

Specified by:
  `locatorsUpdateCopy` in interface `DatabaseMetaData`
Throws:
  `SQLException`

### getDatabaseCompatibilityLevel

public int getDatabaseCompatibilityLevel() throws SQLException
Returns the database compatibility level setting for the current database. This is useful if the database's compatibility level is lower than the engine version. In this case the database will only support SQL commands at its compatibility level, and not the wider set of commands accepted by the engine.

Returns:
  the database compatibility level value (from sys.databases table).
Throws:
  `SQLException` - if error getting compatability level